/*
shopkeepers.dm

This is all it takes to make 2 different shopkeepers.

Just create their bag and add to it their inventory and the amount of each
	item they should have in stock.

	REMEMBER TO SET THE BAG'S SPACE ACCORDINGLY, OR SOME ITEMS WILL NOT BE ADDED.

Also note the sell_type variable.  sell_type being set to /item/potion means that the shop will only
	buy items that are in the /item/potion tree.  Hence, the potions shopkeeper won't buy weapons from you.
*/

npc
	TutorialWeaponsShopkeeper
		name = "Bob"
		icon_state = "Bob"
		gold = 100


		New()
			..()

			bag = new(src, 40)
			bag.add_item(new /item/dagger(src), 20)
			bag.add_item(new /item/shield(src), 20)
			wont_accept = list(typesof(/item/potion))

	TutorialPotionsShopkeeper
		name = "Mary"
		icon_state = "Mary"
		gold = 100
		sell_type = /item/potion

		New()
			..()

			bag = new(src, 40)
			bag.add_item(new /item/potion/health, 20)
			bag.add_item(new /item/potion/mana,   20)