// This will make managing "piles" of gold easier.  When gold is dropped, a new /gold will be created and it's amount will be set
// accordingly.  That's all it takes.

gold
	parent_type = /obj
	icon = 'item.dmi'
	icon_state = "gold"

	var
		amount = 0

	// This will make it possible to place random gold piles in the .dmm file and not all be 1 gold.
	// It will randomize it.  Whenever you place one, do:
	// new /gold(10, FALSE)
	// Then the pile will have 10 gold and it won't randomize.
	New(value = 1, random = TRUE, min = 10, max = 20)
		if(random == FALSE)
			amount = value
		else
			amount = rand(min, max)

		..()