/*
_signs.dm

this is the control file for all help signs.
just define the message, and modify the mt_width and mt_height if need-be.
*/

sign
	parent_type = /obj

	icon = 'item.dmi'
	icon_state = "sign"

	var
		message = "No message to display."

		// This stuff is just to pass as arguments to maptext_CreateText().  No need to modify it unless necessary(ex: Long messages)
		// If you need to modify it, obviously just override it in the specific sign's declaration, not in the /sign datum's variables
		// because you don't want to change every sign.
		mt_width = 96 // maptext_width
		mt_height = 96 // maptext_height
		px = 0
		py = 32
