/*
turf.dm

This just controls resetting client's maptext and autojoining of dense turfs.
*/

turf
	icon = '\Icons/turf.dmi'

	Entered(atom/a)
		if(ismob(a))
			a:reset_maptext()
			for(var/mob/v in oview(a, 1))
				v.reset_maptext()
		return ..()


	wall
		density = 1
		icon_state = "wall"

		New()
			..()
			autoJoin()

	proc
		autoJoin()
			var/obj/turf_outline/o = new
			var/n = 0
			var/turf/t = locate(x, y + 1, z)
			if(t && istype(t, type)) n += 1
			t = locate(x + 1, y, z)
			if(t && istype(t, type)) n += 2
			t = locate(x, y - 1, z)
			if(t && istype(t, type)) n += 4
			t = locate(x - 1, y, z)
			if(t && istype(t, type)) n += 8
			o.icon_state = "[n]"
			overlays += o

// This is the only exception for the turf.dm file, since this object will only be used with turfs.
obj/turf_outline
	icon = '\Icons/turf.dmi'
// End exception.