/*
client.dm

These are client-specific functions.
Don't worry about messing with this stuff unless you understand it.
*/


client
	New()
		..()

		// start the movement loop
		mob.update_inventory()
		spawn()
			movement_loop()

	proc
		movement_loop()
			// call the move() proc once per tick
			while(1)
				sleep(world.tick_lag + 1.5)
				move()

		move()

			// figure out what direction the client's mob should
			// move in based on what keys they're holding.
			var/d = 0

			if(keys["north"]) d |= NORTH
			if(keys["south"]) d |= SOUTH
			if(keys["east"]) d |= EAST
			if(keys["west"]) d |= WEST

			// move them in that direction
			step(mob, d)

	Click(item/i, location, control, params)
		..()
		if(i && istype(i, /item))
			if(control == "default.inventory_grid")
				i.equip()
				mob.update_inventory()